Get all subledger accounting account rules
get
/fscmRestApi/resources/11.13.18.05/accountingSetupAccountRules
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the subledger accounting account rule with the specified primary key.
Finder Variables- SegmentRuleId; integer; Unique identifier of the subledger accounting account rule.
- findByAccRuleCode Finds all subledger accounting account rules that match the specified account rule code and application identifier.
Finder Variables- bindvarAccRuleCode; string; Code that identifies the subledger accounting account rule.
- bindvarAppId; integer; The unique identifier of the application used to filter resources.
- findByAccRuleType Finds all subledger accounting account rules that match the specified account rule type and application identifier.
Finder Variables- bindvarAccRuleType; string; Type that categorizes the subledger accounting account rule.
- bindvarAppId; integer; The unique identifier of the application used to filter resources.
- findByAppId Finds resources for the specified application.
Finder Variables- bindvarAppId; integer; The unique identifier of the application used to filter resources.
- PrimaryKey Finds the subledger accounting account rule with the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AccountingCOAId; integer; Identifier of the chart of accounts used for accounting.
- ApplicationId; integer; Unique identifier of the application.
- Description; string; Description of the subledger accounting account rule.
- EnabledFlag; boolean; Indicates whether the subledger accounting account rule is enabled. If true, the rule is active. If false, the rule is inactive.
- FlexValueSetId; integer; Identifier of the flexfield value set used by the rule.
- FlexfieldAssignModeCode; string; Code that identifies how the flexfield value is assigned.
- FlexfieldSegmentCode; string; Code that identifies the flexfield segment.
- Name; string; Name of the subledger accounting account rule.
- SegmentRuleCode; string; Code that uniquely identifies the subledger accounting account rule.
- SegmentRuleId; integer; Unique identifier of the subledger accounting account rule.
- SegmentRuleTypeCode; string; Type that categorizes the subledger accounting account rule.
- TransactionCOAId; integer; Identifier of the transaction chart of accounts.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : accountingSetupAccountRules
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : accountingSetupAccountRules-item-response
Type:
Show Source
object-
AccountingCOAId: integer
(int64)
Title:
Chart of AccountsIdentifier of the chart of accounts used for accounting. -
ApplicationId: integer
(int64)
Title:
Subledger ApplicationUnique identifier of the application. -
Description: string
Title:
DescriptionMaximum Length:240Description of the subledger accounting account rule. -
EnabledFlag: boolean
Title:
StatusMaximum Length:1Default Value:trueIndicates whether the subledger accounting account rule is enabled. If true, the rule is active. If false, the rule is inactive. -
FlexfieldAssignModeCode: string
Title:
Rule TypeMaximum Length:1Default Value:ACode that identifies how the flexfield value is assigned. -
FlexfieldSegmentCode: string
Maximum Length:
30Code that identifies the flexfield segment. -
FlexValueSetId: integer
(int64)
Identifier of the flexfield value set used by the rule.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Name: string
Title:
NameMaximum Length:80Name of the subledger accounting account rule. -
SegmentRuleCode: string
Title:
Short NameMaximum Length:30Code that uniquely identifies the subledger accounting account rule. -
SegmentRuleId: integer
(int64)
Unique identifier of the subledger accounting account rule.
-
SegmentRuleTypeCode: string
Title:
Created ByMaximum Length:1Type that categorizes the subledger accounting account rule. -
TransactionCOAId: integer
(int64)
Identifier of the transaction chart of accounts.
-
XlaAcctgAccountRuleDetail: array
Subledger Accounting Account Rule Details
Title:
Subledger Accounting Account Rule DetailsSubledger accounting account rule details identify the sequence and sources used to derive each segment value within an account rule. Each detail defines a step in forming the final account combination.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Subledger Accounting Account Rule Details
Type:
arrayTitle:
Subledger Accounting Account Rule DetailsSubledger accounting account rule details identify the sequence and sources used to derive each segment value within an account rule. Each detail defines a step in forming the final account combination.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : accountingSetupAccountRules-XlaAcctgAccountRuleDetail-item-response
Type:
Show Source
object-
InputSourceApplicationId: integer
(int64)
Identifier of the application for the input source.
-
InputSourceCode: string
Maximum Length:
30Code that identifies the input source. -
InputSourceTypeCode: string
Maximum Length:
1Type that categorizes the input source. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
SegmentRuleDetailId: integer
(int64)
Unique identifier of the subledger accounting account rule detail.
-
SegmentRuleSequence: integer
(int64)
Default Value:
1Sequence number that determines the evaluation order for the account rule detail. -
ValueCodeCombinationId: integer
(int64)
Identifier of the code combination used to derive the segment value.
-
ValueConstant: string
Maximum Length:
240Constant value assigned to the segment. -
ValueFlexfieldSegmentCode: string
Maximum Length:
30Flexfield segment code used to derive the segment value. -
ValueMappingSetCode: string
Maximum Length:
30Mapping set code used to derive the segment value. -
ValueSegmentRuleApplId: integer
(int64)
Application identifier of the referenced segment rule.
-
ValueSegmentRuleCode: string
Maximum Length:
30Code that identifies the referenced segment rule. -
ValueSegmentRuleTypeCode: string
Maximum Length:
30Type that categorizes the referenced segment rule. -
ValueSourceApplicationId: integer
(int64)
Identifier of the application for the value source.
-
ValueSourceCode: string
Maximum Length:
30Code that identifies the value source. -
ValueSourceOriginCode: string
Maximum Length:
1Code that identifies the origin of the value source. -
ValueSourceTypeCode: string
Maximum Length:
1Type that categorizes the value source. -
ValueTypeCode: string
Title:
Value TypeMaximum Length:1Type that identifies how the segment value is derived.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source